//
//  Extension.swift
//  flutter_stripe
//
//  Created by Ricky Lau on 31/7/2018.
//

import RxSwift
import UIKit

extension String {
    func capitalizingFirstLetter() -> String {
        return prefix(1).uppercased() + dropFirst()
    }
}

extension ObservableType {
    func catchByEmpty() -> Observable<E> {
        return catchError{ _ -> Observable<E> in
            return Observable.empty()
        }
    }
}

extension UIApplication {
    static func presentingVC() -> UIViewController? {
        return UIApplication.shared.delegate?.window??.rootViewController
    }
}
