//
//  StripeFlutterAPI.swift
//  flutter_stripe
//
//  Created by Ricky Lau on 31/7/2018.
//

import Stripe

enum FlutterStripeAPIType: String {
    case getPlatformVersion = "getPlatformVersion"
    case isNativePaySupport = "isNativePaySupport"
    case promptNativePayment = "promptNativePayment"
}

enum FlutterStripeError: String {
    case submitNativePayError = "submitNativePayError"
    case createNativePayError = "createNativePayError"
    case wrongParamenters = "wrongParamenters"
}

typealias ErrorMessage = String
protocol FlutterStripeAPI {
    func getPlatformVersion(_ result: FlutterResult)
    func isNatativePaySupport(_ result: FlutterResult)
    func promptNativePayment(_ call: FlutterMethodCall, _ result: @escaping FlutterResult) // Throw wrongParamenters, submitNativePayError
    
    func submitStripeTokenToServer(_ token: STPToken, _ completion: @escaping (ErrorMessage?) -> Void)
}
