//
//  FlutterStripeToken.swift
//  flutter_stripe
//
//  Created by Ricky Lau on 31/7/2018.
//

import Foundation
import ObjectMapper
import Stripe

class FlutterStripeToken: Mappable {
    var stripeId: String = ""
    
    init(_ token: STPToken) {
        stripeId = token.stripeID
    }
    
    required init?(map: Map) { }
    
    func mapping(map: Map) {
        stripeId <- map["stripeId"]
    }
}

extension STPToken {
    var jsonString: String {
        return FlutterStripeToken(self).toJSONString()!
    }
}
