//
//  PaymentRouter.swift
//  flutter_stripe
//
//  Created by Ricky Lau on 31/7/2018.
//

import Alamofire

enum PaymentRouter: URLRequestConvertible{
    case submit(token: String)
    
    var method: HTTPMethod {
        switch self {
        case .submit(_):
            return .post
        }
    }
    
    public var path: String {
        switch self {
        case .submit(_):
            return "/api/v1/device/register"
        }
    }
    
    
    func asURLRequest() throws -> URLRequest {
        let url = try RxRequest.domain.asURL()
        
        var urlRequest = URLRequest(url: url.appendingPathComponent(path))
        urlRequest.httpMethod = method.rawValue
        
        switch self {
        case .submit(let token):
            let parameters = ["otp": token]
            urlRequest = try JSONEncoding.default.encode(urlRequest, with: parameters)
        }
        
        return urlRequest
    }
}
